<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "account_practice_emr".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AccountPracticeEmr".
 *
 * Columns in table "account_practice_emr" available as properties of the model,
 * followed by relations of table "account_practice_emr" available as properties of the model.
 *
 * @property integer $id
 * @property integer $account_id
 * @property string $emr_location_id
 * @property string $emr_location_data
 * @property integer $practice_id
 * @property integer $avoid_app_within
 * @property integer $pre_appt_reminder_mail
 * @property integer $pre_appt_reminder_sms
 * @property integer $pre_appt_reminder_autocall
 * @property integer $pre_appt_reminder_staffcall
 *
 * @property Account $account
 * @property Practice $practice
 */
abstract class BaseAccountPracticeEmr extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'account_practice_emr';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'AccountPracticeEmr|AccountPracticeEmrs', $n);
    }

    public static function representingColumn()
    {
        return 'emr_location_data';
    }

    public function rules()
    {
        return array(
            array('account_id', 'required'),
            array('account_id, practice_id, send_appointment_reminders, avoid_app_within, pre_appt_reminder_mail, pre_appt_reminder_sms, pre_appt_reminder_autocall, pre_appt_reminder_staffcall', 'numerical', 'integerOnly' => true),
            array('emr_location_data', 'safe'),
            array('date_reminder_agreement, copy_reminder_agreement, account_reminder_agreement, emr_location_id, send_appointment_reminders, emr_location_data, practice_id, avoid_app_within, pre_appt_reminder_mail, pre_appt_reminder_sms, pre_appt_reminder_autocall, pre_appt_reminder_staffcall', 'default', 'setOnEmpty' => true, 'value' => null),
            array('date_reminder_agreement, copy_reminder_agreement, account_reminder_agreement, id, account_id, emr_location_id, emr_location_data, practice_id, avoid_app_within, pre_appt_reminder_mail, pre_appt_reminder_sms, pre_appt_reminder_autocall, pre_appt_reminder_staffcall', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'account' => array(self::BELONGS_TO, 'Account', array('account_id' => 'id')),
            'practice' => array(self::BELONGS_TO, 'Practice', array('practice_id' => 'id')),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_id' => null,
            'emr_location_id' => Yii::t('app', 'Emr Location'),
            'emr_location_data' => Yii::t('app', 'Emr Location Data'),
            'practice_id' => null,
            'avoid_app_within' => Yii::t('app', 'Avoid App Within'),
            'pre_appt_reminder_mail' => Yii::t('app', 'Pre Appt Reminder Mail'),
            'pre_appt_reminder_sms' => Yii::t('app', 'Pre Appt Reminder Sms'),
            'pre_appt_reminder_autocall' => Yii::t('app', 'Pre Appt Reminder Autocall'),
            'pre_appt_reminder_staffcall' => Yii::t('app', 'Pre Appt Reminder Staffcall'),
            'send_appointment_reminders' => Yii::t('app', 'Send Appointment Reminders'),
            'account' => null,
            'practice' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('account_id', $this->account_id);
        $criteria->compare('emr_location_id', $this->emr_location_id);
        $criteria->compare('emr_location_data', $this->emr_location_data, true);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('avoid_app_within', $this->avoid_app_within);
        $criteria->compare('pre_appt_reminder_mail', $this->pre_appt_reminder_mail);
        $criteria->compare('pre_appt_reminder_sms', $this->pre_appt_reminder_sms);
        $criteria->compare('pre_appt_reminder_autocall', $this->pre_appt_reminder_autocall);
        $criteria->compare('pre_appt_reminder_staffcall', $this->pre_appt_reminder_staffcall);
        $criteria->compare('send_appointment_reminders', $this->send_appointment_reminders);
        $criteria->compare('date_reminder_agreement', $this->date_reminder_agreement);
        $criteria->compare('copy_reminder_agreement', $this->copy_reminder_agreement);
        $criteria->compare('account_reminder_agreement', $this->account_reminder_agreement);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
